	SUBROUTINE GET_PID (PROCESS_PID)
	INTEGER*4	PROCESS_PID
C***************************************************************************
C***
C***	THIS ROOUTINE WILL RETURN THE NAME OF THE CALLING PROCESS.
C***
C***	PARAMETER :
C***
C***		PROCESS_PID	(I*4)	RETURNED CALLING PROCESS PID
C***
C***	Modification History
C***
C***	Programmer	Date		Description
C*** --------------------------------------------------------------------
C***	Jeff Cameron	08-OCT-1998	Initially written
C*** --------------------------------------------------------------------
C***
C***************************************************************************
C*MCT
	INCLUDE '($JPIDEF)'
	INTEGER*4	LOC_PID
	INTEGER*4	SYS$GETJPIW
	INTEGER*4	ITMLST (3)
	INTEGER*2	ITLST (2)
	EQUIVALENCE	(ITMLST,ITLST)
C
	INTEGER*4	SIZE
	INTEGER*4	ISTAT
C
	ITLST(1) = 4		! PROCESS PID BUFFER IS 4 BYTES
	ITLST(2) = JPI$_PID
	ITMLST (2) = %LOC (LOC_PID)
	ITMLST (3) = %LOC (SIZE)
C
	ISTAT = SYS$GETJPIW (,,,ITMLST,,,)
	IF (.NOT. ISTAT) CALL SYS_SIGNAL (ISTAT)
C
	PROCESS_PID = LOC_PID
C
	RETURN
	END
